dag_config_defualt(3)

NAME
dag_config_default Executes a cards default configuration routine.

SYNOPSIS
#include "dag_config.h "

dag_err_t
dag_config_default(dag_card_ref_t card);

DESCRIPTION
dag_config_default executes the default configuration routine of all the firmware components in the card.As soon as a new firmware is loaded,it is expected that this function is executed before the card is able to capture data.

RETURN VALUE
On success dag_config_default returns a kDagErrNone. If the card reference is invalid dag_config_default returns kDagErrInvalidCardRef.

SEE ALSO
dag_config_reset(3),dag_config_init(3)

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: $
$Revision: -1 $
$Date: $

COPYRIGHT
(c) 2009 Endace Technology Ltd, Hamilton, New Zealand. All Rights Reserved.